package com.infoepoch.pms.agent.domain.baisc.user;

import java.util.List;

/**
 * @author jiangyz
 * @date 2026/4/10 10:06
 * 合作单位用户仓储接口
 */
public interface ISupplierEmployeeRepository {
    /**
     * 新增
     * @param: [entity]
     */
    boolean insert(SupplierEmployee entity);

    /**
     * 更新
     * @param: [entity]
     */
    boolean update(SupplierEmployee entity);

    /**
     * 批量新增
     * @param: [entitys]
     */
    int[] batchInsert(List<SupplierEmployee> entitys);

    /**
     * 批量更新
     * @param: [entitys]
     */
    int[] batchUpdate(List<SupplierEmployee> entitys);

    /**
     * 删除
     * @param: [id]
     */
    boolean delete(String id);

    // region select

    /**
     * 根据Id查询
     * @param: [id]
     */
    SupplierEmployee selectById(String id);

    /**
     * 根据查询条件查询单个对象
     * @param: [criteria]
     */
    SupplierEmployee selectOneByCriteria(SupplierEmployeeCriteria criteria);

    /**
     * 根据查询条件查询对象集合
     * @param: [criteria]
     */
    List<SupplierEmployee> selectByCriteria(SupplierEmployeeCriteria criteria);

    /**
     * 根据查询条件分页查询对象结合
     * @param: [criteria, pageNum, pageSize]
     */
    List<SupplierEmployee> selectCriteriaByPage(SupplierEmployeeCriteria criteria, int pageNum, int pageSize);

    /**
     * 根据条件查询对象总记录数
     * @param: [criteria]
     */
    Integer selectCountByCriteria(SupplierEmployeeCriteria criteria);

    // endregion
}
